{
  "format_version": "1.10.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "rc:large_water_wheel_item",
      "materials": {
        "default": "entity_alphatest",
        "enchanted": "entity_alphatest_glint"
      },
      "textures": {
        "default": "textures/entity/large_water_wheel",
        "enchanted": "textures/misc/enchanted_item_glint"
      },
      "geometry": {
        "default": "geometry.large_water_wheel_item"
      },
      "animations": {
        "wield": "controller.animation.block.wield",
        "wield_first_person": "animation.block.wield_first_person",
        "wield_third_person": "animation.block.wield_third_person"
      },
      "scripts": {
        "animate": [
          "wield"
        ]
      },
      "render_controllers": [ "controller.render.item_default" ]
    }
  }
}
